%define oname kcm_license

Summary:	ROSA license plugin for Plasma 5 Control Centre
Name:		plasma5-kcm-license
Version:	1.0
Release:	1
License:	GPLv3+
Group:		Graphical desktop/KDE
Url:		https://abf.rosalinux.ru/uxteam/%{oname}-devel
Source0:	%{url}/archive/%{oname}-devel-%{version}.tar.gz
BuildRequires:	extra-cmake-modules
BuildRequires:	kf5i18n-devel
BuildRequires:	kf5kcmutils-devel
BuildRequires:	pkgconfig(Qt5Core)
BuildRequires:	pkgconfig(Qt5Gui)
BuildRequires:	pkgconfig(Qt5PrintSupport)
Conflicts:	kcm_license

%description
ROSA license plugin for Plasma 5 Control Centre.

%files -f %{oname}.lang
%{_kde5_datadir}/kcm_license/license_files/license_English.html
%{_kde5_datadir}/kcm_license/license_files/license_Russian.html
%{_kde5_services}/kcm_license.desktop
%{_qt5_plugindir}/kcm_license.so

#----------------------------------------------------------------------------

%prep
%setup -qn %{oname}-devel-%{version}

%build
%cmake_kde5
%make

%install
%makeinstall_std -C build

%find_lang %{oname}

%changelog

* Wed Apr 19 2017 Andrey Bondrov <andrey.bondrov@rosalab.ru> 1.0-1
- (7afb237) Use language names to load license files


